Subject: Re: XFree86 3.3.3.1
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 24 May 1999 14:05:57 -0400

A couple of users who asked for the XFree86 sources, I have uploaded the modified code archive
xfree86-3331.tar.gz to my webserver.  You can download it from http://siddiqi.webjump.com

Other Cygwin users can feel free to download it.

The source code has been modified to compile with 
egcc 1.1.2 and Cygwin B20.1.  The modifications are based upon my X11R6 libraries. 90% of it will build without any troubles, until the compiler hits a few C Sources files in xc/programs/Xserver/hw/os-supported.  Fixing these C sources files are the last hurdles (I hope so?) to get XFree86 running under Cygnus Cygwin B20.1. 

The X-server codes are usually big and complicated.  Size of the tar.gz archive is 47 MB.

To Compile, untar the archive i.e "tar zxvf xfree86-3331.tar.gz" 

You will also need libcrypt.a for B 20.1.  Without libcrypt xdm, xinit, libproxy.a and several other modules will not compile.  I have included the precompiled libcrypt.a in the archive.

After extracting the *.tar.gz archive, go to "xc" directory and type "make World" 

It takes almost  one to two hours (depending upon the speed of your CPU) to compile everything.  At the end when compiler tries to  make the XF86_SVGA (the actual X Server) it will run into problems with a few C sources files.  If you come up with fixes/patches please let me know. 

I would also like to get the modules which compiles, beta tested. 

--Suhaib

PS: Dr. Sammy please download the code from above referenced URL. Let me know, please, if you come
up with patches or fixes.  Thanks

--
Want to unsubscribe from this list?
Send a message to [email-masked]